use serde::{Serialize, Deserialize};
use serde_json::{Value, json};
use sysinfo::Networks;

#[derive(Debug, Serialize, Deserialize)]
pub struct NetworkInfo {
    adapters: Vec<String>,
}

#[allow(dead_code)]
pub fn get_struct() -> NetworkInfo {
    let networks = Networks::new_with_refreshed_list();
    let adapters = networks.iter().map(|(name, _)| name.to_string()).collect();

    NetworkInfo { adapters }
}

#[allow(dead_code)]
pub fn get_json() -> Value {
    json!(get_struct())
}
